Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233033 - taskjuggler should not depend on docbook-dtds *release* (with solution)
Summary: taskjuggler should not depend on docbook-dtds *release* (with solution)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: taskjuggler
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 23:09 UTC by Jos Vos
Modified: 2013-04-12 19:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 09:18:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1576 normal SHIPPED_LIVE taskjuggler bug fix update 2009-11-11 09:18:36 UTC

Description Jos Vos 2007-03-19 23:09:33 UTC
Description of problem:
The patch for taskjuggler assumes a specific release *and* version of
docbook-dtds (1.0-26), which makes it impossible to build with a newer version.
Furthermore, this dependency is only "hidden" in the patch and not included as a
BuildRequires entry.

Version-Release number of selected component (if applicable):
2.2.0-3

How reproducible:
Rebuild taskjuggler on RHEL5 (which includes a different version of docbok-dtds).

Solution:
Do not include a static patch, but dynamically determine the directory where the
docbookx.dtd can be found and edit the relevant sources accordingly in %prep:

DTDDIR=`ls -d /usr/share/sgml/docbook/xml-dtd-4.3-*`
for file in docs/en/taskjuggler.xml.in docs/en/kde-doc.patch; do
    sed -i -e \
"s|/usr/share/xml/docbook/schema/dtd/4.3/docbookx.dtd|$DTDDIR/docbookx.dtd|" \ $file
done

Comment 1 RHEL Product and Program Management 2007-12-03 20:41:42 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 8 errata-xmlrpc 2009-11-11 09:18:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1576.html


Note You need to log in before you can comment on or make changes to this bug.